# Configure LDAP support for FreeRADIUS
define freeradius::ldap (
  $identity,
  $password,
  $basedn,
  $server      = ['localhost'],
  $port        = 389,
  $uses        = 0,
  $idle        = 60,
  $probes      = 3,
  $interval    = 3,
  $timeout     = 10,
  $start       = '${thread[pool].start_servers}',
  $min         = '${thread[pool].min_spare_servers}',
  $max         = '${thread[pool].max_servers}',
  $spare       = '${thread[pool].max_spare_servers}',
  $ensure      = 'present',
  $starttls    = 'no',
  $cafile      = undef,
  $certfile    = undef,
  $keyfile     = undef,
  $requirecert = 'allow',
) {
  warning('The use of freeradius::ldap is deprecated. You must use freeradius::module::ldap instead')

  freeradius::module::ldap {$name:
    ensure      => $ensure,
    identity    => $identity,
    password    => $password,
    basedn      => $basedn,
    server      => $server,
    port        => $port,
    uses        => $uses,
    idle        => $idle,
    probes      => $probes,
    interval    => $interval,
    timeout     => $timeout,
    start       => $start,
    min         => $min,
    max         => $max,
    spare       => $spare,
    starttls    => $starttls,
    cafile      => $cafile,
    certfile    => $certfile,
    keyfile     => $keyfile,
    requirecert => $requirecert,
  }
}
